Subject: Re: [pm-dir] Review of xrblock rtcp xr synchronization Version 5

From: Vinayak Hegde <[email-masked]>
Date: Sun, 26 May 2013 03:20:15 +0530

Hi,

Used the wrong alias in the initial mail. Please reply to this mail as I
have fixedc the mail address.

-- Vinayak

On Sun, May 26, 2013 at 3:15 AM, Vinayak Hegde <[email-masked]> wrote:

> Hi,
>
> I reveiewd the  xrblock rtcp xr synchronization Version 5 draft at
>
> The draft does specify and fulfill all the requirements of RFC 6390
>
> Comments are below:
>
> Section 3.2
> Initial Synchronization Delay: 32 bits
>
> The selection of units in 1/65536 seconds seems arbitrary (inspite of the
> fact that it could make bit arithmetic easier). I would suggest to use may
> be denote each bit as 1/10000 or 1/100000 (too granualr ?) units. This
> could be much more useful for interaction with humans such as in reading
> debug output (which is likely since this is a synchronization delay).
>
> Section 4.2
> For the offset constant <RFSO> it is not clear what the 8-bit is. Either
> you can note it here or reference it.
>
> -- Vinayak
>

---

From: Qin Wu <[email-masked]>
Date: Mon, 27 May 2013 09:51:59 +0000

Hi, Vinayak:
Thank for your confirmation for RFC6390 requirements.
Please see my reply inline.

Regards!
-Qin

From: Vinayak Hegde [mailto:[email-masked]]
Sent: Sunday, May 26, 2013 5:50 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Huangyihong (Rachel); Qin Wu
Subject: Re: Review of xrblock rtcp xr synchronization Version 5

Hi,

Used the wrong alias in the initial mail. Please reply to this mail as I have fixedc the mail address.

-- Vinayak
On Sun, May 26, 2013 at 3:15 AM, Vinayak Hegde <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Comments are below:

Section 3.2

The selection of units in 1/65536 seconds seems arbitrary (inspite of the fact that it could make bit arithmetic easier). I would suggest to use may be denote each bit as 1/10000 or 1/100000 (too granualr ?) units. This could be much more useful for interaction with humans such as in reading debug output (which is likely since this is a synchronization delay).

[Qin]: The choice of 1/65536 of a second is not arbitrary, it's based on the properties of the NTP format time stamp, and to match the rest of the RTP protocol. This is the reason why the draft was switched to use 1/65536 of a second. Using the other units is appropriate for this report block.

Section 4.2
For the offset constant <RFSO> it is not clear what the 8-bit is. Either you can note it here or reference it.

[Qin]: Okay, we can add a sentence to say:
"
      [Note to RFC Editor: please replace RFSO with the IANA provided
      RTCP XR block type for this block.]
"

-- Vinayak